Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface MemberSelectTree

All Superinterfaces:
  `ExpressionTree`, `Tree`

    @Deprecated(since="11",
                forRemoval=true)
    public interface MemberSelectTree
    extends ExpressionTree

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
A tree node for a member access expression. For example:

       expression . identifier

Since:
  9

### Nested Class Summary

### Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`ExpressionTree` `getExpression()` Deprecated, for removal: This API element is subject to removal in a future version. The object expression whose member is being selected.
`String` `getIdentifier()` Deprecated, for removal: This API element is subject to removal in a future version. Returns the name of the property.

### Methods declared in interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

### Method Detail

#### getExpression

    ExpressionTree getExpression()

Deprecated, for removal: This API element is subject to removal in a future version.
The object expression whose member is being selected.

Returns:
  the object whose member is selected

#### getIdentifier

    String getIdentifier()

Deprecated, for removal: This API element is subject to removal in a future version.
Returns the name of the property.

Returns:
  the name of the property